<div class="p-2">
  <p-breadcrumb [home]="{ icon: 'pi pi-home', label: ' Votos', routerLink: '../../' }" [model]="breadcrumb">
  </p-breadcrumb>
</div>
<div class="card p-3">

    <div class="form-row">
      <div class="col-6 relative">
        <label for="">Tipo de asunto:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Escriba el número de expediente"
          name="tipoAsunto" id="tipoAsunto" [(ngModel)]="votosModel.tipoAsunto" *ngIf="false" disabled>
          <h4 ><strong>{{votosModel.tipoAsunto}}</strong></h4>
      </div>
      <div class="col-6 relative">
        <label for="">Número de expediente:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Escriba el número de expediente"
          name="numExp" id="numExp" [(ngModel)]="votosModel.numExpediente" *ngIf="false"
          [ngClass]="{'invalid': requerid.numExpediente }" disabled>
          <h4 ><strong>{{votosModel.numExpediente}}</strong></h4>
      </div>
    </div>
    <div class="form-row">
      <div class="col-6 relative">
        <label for="">Tipo de voto:</label>
        <!--  <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100" [options]="catalogos.tipoVoto"
          optionLabel="nombre" [filter]="true" filterBy="nombre" [showClear]="true" optionValue="nombre"
          placeholder="Busque y/o seleccione el tipo de voto" name="tipoVoto" id="tipoVoto"
          [(ngModel)]="votosModel.tipoVoto" [styleClass]="requerid.tipoVoto? 'invalid w-100':'w-100'">
        </p-dropdown> -->
        <ng-multiselect-dropdown [data]="tipoVoto" [settings]="configDropdownTipoVoto" name="tipoVoto"
          [(ngModel)]="votosModel.tipoVoto" placeholder="Busque y/o seleccione el tipo de voto"
          [styleClass]="requerid.tipoVoto? 'invalid w-100':'w-100'">
        </ng-multiselect-dropdown>

      </div>
      <div class="col-6 relative">
        <label for="">Fecha de resolución:</label>
        <ng-container *ngIf="false">
          <div style="overflow-wrap: normal;">
            <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true"
              placeholder="Escriba o seleccion la fecha de resolución" [yearNavigator]="true" [monthNavigator]="true"
              yearRange="1000:2030" name="fechaResolu" id="fechaResolu" [(ngModel)]="votosModel.fechaResolucion"
              readonlyInput="true" [styleClass]="requerid.fechaResolucion ? 'invalid w-100' : 'w-100'"></p-calendar>
          </div>
          <i *ngIf="votosModel.fechaResolucion" class="pi pi-times clear-autocomplete"
            (click)="votosModel.fechaResolucion = ''"></i>
        </ng-container>
          <h4><strong>{{votosModel.fechaResolucion | date: 'dd/MM/yyyy'}}</strong></h4>
      </div>
    </div>
    <div class="form-row">
      <div class="col-12">
        <label for="">Ministra(s)/Ministro(s) que elabora(n) el voto:</label>
        <ng-multiselect-dropdown [data]="ministros" [settings]="configDropdown" name="ministros"
          [(ngModel)]="votosModel.ministro" placeholder="Busque y/o seleccione las(os) Ministras(os)"
          [styleClass]="requerid.ministro? 'invalid w-100':'w-100'">
        </ng-multiselect-dropdown>
      </div>
    </div>

    <div class="form-row">
      <div class="col-12">
        <label for=""><strong>Causas de improcedencia y sobreseimiento</strong> </label>
      </div>
      <div class="col-12">
        <label for=""> Causas de improcedencia y sobreseimiento:</label>
        <ng-multiselect-dropdown [data]="causaImprocedencia" [settings]="configDropdown" id="IDCausaImprocedencia"
          [(ngModel)]="votosModel.causaImprocedencia"
          placeholder="Seleccione  la Causa de improcedencia y sobreseimiento">
        </ng-multiselect-dropdown>
      </div>
    </div>

    <div class="form-row">
      <div class="col-12">
        <label for=""> <strong>Tipo de violación orgánica</strong> </label>
      </div>
      <div class="col-12">
        <label for=""> Tipo de violación orgánica:</label>
        <ng-multiselect-dropdown [data]="violacionOrganicaAnalizada" [settings]="configDropdown" name="metodologia"
           id="IDViolacionOrganica"  (onDeSelect)="onItemDeSelectViOrganicaAnalizada($event)"
          [(ngModel)]="votosModel.violacionOrganicaAnalizada" placeholder="Seleccione la Violación orgánica planteada">
        </ng-multiselect-dropdown>

        <ng-container>

            <div *ngIf="votosModel.violacionOrganicaAnalizada?.includes('INVASIÓN DE PODERES')" class="col-12 relative">
              <label for=""> Invasión de poderes:</label>
              <ng-multiselect-dropdown [data]="violacionInvacionPoderesAnalizado" [settings]="configDropdownVi"
                [(ngModel)]="votosModel.violacionInvacionPoderesAnalizado" name="metodologia" id="IDInvasiónPoderes"
                placeholder="Seleccione invasión de poderes">
              </ng-multiselect-dropdown>
            </div>

            <div *ngIf="votosModel.violacionOrganicaAnalizada?.includes('INVASIÓN DE ESFERAS')" class="col-12 relative">
              <label for=""> Invasión de esfera:</label>
              <ng-multiselect-dropdown [data]="violacionInvacionEsferasAnalizada" [settings]="configDropdown"
                [(ngModel)]="votosModel.violacionInvacionEsferasAnalizada" name="metodologia" id="IDInvasiónEsfera"
                (onSelect)="changeSelectInvasionEsferas($event)" (onDeSelect)="onItemDeSelectViolacionInvacionEsferasAnalizada($event)"
                placeholder="Seleccione invasión de esfera">
              </ng-multiselect-dropdown>
              <ng-container>
                  <div  *ngIf="votosModel.violacionInvacionEsferasAnalizada?.includes('FEDERAL')" class="col-12 relative">
                    <label for=""> Materia analizada por invasión de esferas federal:</label>
                    <ng-multiselect-dropdown [data]="violacionInvacionEsferasFederal" [settings]="configDropdown"
                      name="metodologia" [(ngModel)]="votosModel.violacionInvacionEsferasFederal" id="IDViolacionInvacionEsferasFederal"
                      placeholder="Seleccione Materias analizadas por invasión de esferas federal">
                    </ng-multiselect-dropdown>
                  </div>
                  <div *ngIf="votosModel.violacionInvacionEsferasAnalizada?.includes('LOCAL')" class="col-12 relative">
                    <label for=""> Materia analizada por invasión de esferas local:</label>
                    <ng-multiselect-dropdown [data]="violacionInvacionEsferas" [settings]="configDropdown"
                      name="metodologia" [(ngModel)]="votosModel.violacionInvacionEsferas" id="IDViolacionInvacionEsferas"
                      placeholder="Seleccione Materias analizada por invasión de esferas local">
                    </ng-multiselect-dropdown>
                  </div>
                  <div *ngIf="votosModel.violacionInvacionEsferasAnalizada?.includes('MUNICIPAL')" class="col-12 relative">
                    <label for="">Materia analizada por invasión de esferas municipal:</label>
                    <ng-multiselect-dropdown [data]="violacionInvacionEsferasMunicipal" [settings]="configDropdown"
                    name="metodologia" [(ngModel)]="votosModel.violacionInvacionEsferasMunicipal" id="IDViolacionInvacionEsferasMunicipal"
                    placeholder="Seleccione Materias analizadas por invasión de esferas municipal">
                  </ng-multiselect-dropdown>
                  </div>
              </ng-container>
            </div>
            <div *ngIf="votosModel.violacionOrganicaAnalizada?.includes('PROCESO LEGISLATIVO')" class="col-12 relative">
              <label for=""> Vicios del proceso legislativo:</label>
              <ng-multiselect-dropdown [data]="vicioProcesoLegislativo" [settings]="configDropdown" name="metodologia"
                [(ngModel)]="votosModel.vicioProcesoLegislativo" id="IDViciosProceso"
                placeholder="Seleccione Vicios del proceso legislativo">
              </ng-multiselect-dropdown>
            </div>
        </ng-container>
      </div>
    </div>

    <div class="form-row">
      <div class="col-12">
        <label for=""><strong>Derechos humanos en materia de análisis</strong> </label>
      </div>
      <div class="col-12">
        <label for="">Derechos humanos relacionados:</label>
        <ng-multiselect-dropdown [data]="derechosHumanos" [settings]="configDropdown" name="derechosHumanoVioPlant"
          [(ngModel)]="votosModel.derechosHumanos" id="derechosHumanosVioPlantea"
          placeholder="Seleccione los derechos humanos cuya violación se plantea">
        </ng-multiselect-dropdown>
      </div>
    </div>


    <div class="form-row">
      <div class="col-12">
        <label for=""><strong>Tipo de sentencia y sus efectos</strong> </label>
      </div>
      <div class="col-12">
        <label for=""> Sentido de la resolución:</label>
        <ng-multiselect-dropdown [data]="sentidoResolucion" [settings]="configDropdown" name="sentidoResol"
          id="IDsentidoResolucion" [(ngModel)]="votosModel.sentidoResolucion"
          (onDeSelect)="onItemDeSelectSentidoResol($event)"
          placeholder="Seleccione  el Sentido de la resolución">
        </ng-multiselect-dropdown>

        <ng-container *ngIf="votosModel.sentidoResolucion?.includes('FUNDADA')">
          <label for=""> Tipo de efectos:</label>
          <ng-multiselect-dropdown [data]="tipoEfectos" [settings]="configDropdown" name="sentidoResol"
            [(ngModel)]="votosModel.tipoEfectos" id="IDTipoEfectos" placeholder="Seleccione  el tipo de efectos">
          </ng-multiselect-dropdown>
        </ng-container>
      </div>

      <div class="col-12">
        <label for=""> Metodología de análisis de constitucionalidad:</label>
        <ng-multiselect-dropdown [data]="analisisConstitucionlidad" [settings]="configDropdown" name="metodologia"
          [(ngModel)]="votosModel.analisisConstitucionlidad" id="IDMetodologia"
          placeholder="Seleccione la Metodología de análisis de constitucionalidad">
        </ng-multiselect-dropdown>
      </div>
    </div>




  <div class="d-flex justify-content-between mt-2">
    <a routerLink="../../">
      <p-button styleClass="p-button-sm back" label="Volver"></p-button>
    </a>
    <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm" icon="pi pi-book" label="Editar voto"
      (onClick)="editarVoto()">
    </p-button>
  </div>
</div>
